optics-core-0.4.1.1: Optics as an abstract interface: core definitions

Safe Haskell | None
Language | Haskell2010

Optics.Internal.IxTraversal

Description

Internal implementation details of indexed traversals.

This module is intended for internal use only, and may change without warning in subsequent releases.

Synopsis

- itraversed__ :: (Traversing p, TraversableWithIndex i f) => Optic__ p j (i -> j) (f a) (f b) a b

# Documentation

itraversed__ :: (Traversing p, TraversableWithIndex i f) => Optic__ p j (i -> j) (f a) (f b) a b Source #

Internal implementation of `itraversed`.